summaryrefslogtreecommitdiff
path: root/dev-ruby/ruby-gettext
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/ruby-gettext')
-rw-r--r--dev-ruby/ruby-gettext/Manifest5
-rw-r--r--dev-ruby/ruby-gettext/metadata.xml9
-rw-r--r--dev-ruby/ruby-gettext/ruby-gettext-3.2.9.ebuild68
-rw-r--r--dev-ruby/ruby-gettext/ruby-gettext-3.3.2.ebuild67
-rw-r--r--dev-ruby/ruby-gettext/ruby-gettext-3.3.3.ebuild67
-rw-r--r--dev-ruby/ruby-gettext/ruby-gettext-3.3.4.ebuild67
-rw-r--r--dev-ruby/ruby-gettext/ruby-gettext-3.3.5.ebuild67
7 files changed, 350 insertions, 0 deletions
diff --git a/dev-ruby/ruby-gettext/Manifest b/dev-ruby/ruby-gettext/Manifest
new file mode 100644
index 000000000000..f5b0c05e68df
--- /dev/null
+++ b/dev-ruby/ruby-gettext/Manifest
@@ -0,0 +1,5 @@
+DIST gettext-3.2.9.gem 285696 BLAKE2B a7bc40b2102f5b937d5f0e407dbaa23ead1da59eb9284c10a249c59548d0e2ad5fcd56b8855439893d2d31b57e0109bb6a9d5cc2d24075f5e360dc16b9291137 SHA512 21496c38cfc16a2b280f30bb94ff4560007eaa7f02c2341cb26aca2969a663c0863cdb650b4eadfd262d8585111dfb572e2ebc66a7a879045de50bf9da80a501
+DIST gettext-3.3.2.gem 289280 BLAKE2B f18af8ca573c7a503983c741cb719896208f062b83382533fe818c0ca2e6b3eb5c4491150dd43ba5701ec0fa9a52c1b7686b938d05da6e4a35c5823fe447b4f9 SHA512 92ec140795fe4477754349375413061f20933daddf71f024b989b85fa05a773aa63583c11d982f7c65ab6e842ed03d2083834883ddd45a76f84655ae814969c2
+DIST gettext-3.3.3.gem 290304 BLAKE2B 17a9020660c0f9793d86428cf5738485e9b76d88d23a41aef053ef2c7034d6b98f1c880a61a37c6b04dfce37dc82672bbd6659312da5279e6e0c85212206559a SHA512 f14cd5166d16c592cec6e9b3ad5b2e5e27889cee0380b70abc3a6a69bcd8bcd1f742c88021e58ba843655d22e731decaeb1151e359fb49f613e71721e675cbf8
+DIST gettext-3.3.4.gem 290304 BLAKE2B 70b24b598dcbbe85ab9d1cf6c6e59e911b67f7ceccc3482b16096abb0bec2ac94197febf36b839ff1d6917fe44df69c570ae15a2d44a3bc2dc070ed9ca864382 SHA512 79b731968f94287597b3bd6219c1f5cf3c37206d3a024f5998cde9a61ef60334557d1bb51f1e439de64eb8cc6bc60511577763a71e6f3b3c65cc7c52ac221aa4
+DIST gettext-3.3.5.gem 290816 BLAKE2B 74434c3feaedc16a17ee530669dacbc4b32ae0be95eb903ce89131619e862e1c823351653ce3c5f95f0882c183e3b2fe87b423a245aa2d8803688ce7e6afb5f7 SHA512 6777b96dd73b3d454c0a14a40d2ac0eac52894fa58067ba9ec976627c96efc98b294b1498bed965d0426bcaa1b371dcde5745101e05e21e408397b4e8d31894b
diff --git a/dev-ruby/ruby-gettext/metadata.xml b/dev-ruby/ruby-gettext/metadata.xml
new file mode 100644
index 000000000000..136457a413d3
--- /dev/null
+++ b/dev-ruby/ruby-gettext/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+<maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+</maintainer>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-ruby/ruby-gettext/ruby-gettext-3.2.9.ebuild b/dev-ruby/ruby-gettext/ruby-gettext-3.2.9.ebuild
new file mode 100644
index 000000000000..efc05b841e4f
--- /dev/null
+++ b/dev-ruby/ruby-gettext/ruby-gettext-3.2.9.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_NAME="${PN/ruby-/}"
+RUBY_FAKEGEM_VERSION="${PV%_*}"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="README.md doc/text/news.md"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+
+RUBY_FAKEGEM_EXTRAINSTALL="locale po"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Native Language Support Library and Tools modeled after GNU gettext package"
+HOMEPAGE="https://ruby-gettext.github.io/"
+
+KEYWORDS="~alpha amd64 arm ~arm64 hppa ppc ppc64 sparc x86"
+IUSE="doc test"
+SLOT="0"
+LICENSE="|| ( Ruby LGPL-3+ )"
+
+ruby_add_rdepend ">=dev-ruby/locale-2.0.5 >=dev-ruby/text-1.3.0"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )
+ dev-ruby/racc"
+ruby_add_bdepend "test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-rr )"
+
+RDEPEND+=" sys-devel/gettext"
+DEPEND+=" sys-devel/gettext"
+
+all_ruby_prepare() {
+ # Fix broken racc invocation
+ sed -i -e '/command_line/ s/#{racc}/-S racc/' Rakefile || die
+
+ # Avoid bundler dependency
+ sed -i -e '/bundler/,/helper.install/ s:^:#:' \
+ -e 's/helper.gemspec/Gem::Specification.new/' Rakefile || die
+
+ # Avoid dependency on developer-specific tools.
+ sed -i -e '/notify/ s:^:#:' test/run-test.rb || die
+
+ # Avoid tests failing due to a missing test file.
+ #sed -i -e '/test_invalid_charset/,/end/ s:^:#:' test/test_mo.rb || die
+
+ # Avoid SAFE mode test that fails on ruby 2.6
+ sed -i -e '/test_safe_mode/aomit' test/test_gettext.rb || die
+}
+
+each_ruby_test() {
+ # Upstream tries to daisy-chain rake calls but they fail badly
+ # with our setup, so run it manually.
+ ${RUBY} test/run-test.rb || die "tests failed"
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ insinto /usr/share/doc/${PF}
+ doins -r samples
+}
diff --git a/dev-ruby/ruby-gettext/ruby-gettext-3.3.2.ebuild b/dev-ruby/ruby-gettext/ruby-gettext-3.3.2.ebuild
new file mode 100644
index 000000000000..f1094d10f26b
--- /dev/null
+++ b/dev-ruby/ruby-gettext/ruby-gettext-3.3.2.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_NAME="${PN/ruby-/}"
+RUBY_FAKEGEM_VERSION="${PV%_*}"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="README.md doc/text/news.md"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+
+RUBY_FAKEGEM_EXTRAINSTALL="locale po"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Native Language Support Library and Tools modeled after GNU gettext package"
+HOMEPAGE="https://ruby-gettext.github.io/"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc test"
+SLOT="0"
+LICENSE="|| ( Ruby LGPL-3+ )"
+
+ruby_add_rdepend ">=dev-ruby/locale-2.0.5 >=dev-ruby/text-1.3.0"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )
+ dev-ruby/racc"
+ruby_add_bdepend "test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-rr )"
+
+RDEPEND+=" sys-devel/gettext"
+DEPEND+=" sys-devel/gettext"
+
+all_ruby_prepare() {
+ # Fix broken racc invocation
+ sed -i -e '/command_line/ s/#{racc}/-S racc/' Rakefile || die
+
+ # Avoid bundler dependency
+ sed -i -e '/bundler/,/helper.install/ s:^:#:' \
+ -e 's/helper.gemspec/Gem::Specification.new/' Rakefile || die
+
+ # Avoid dependency on developer-specific tools.
+ sed -i -e '/notify/ s:^:#:' test/run-test.rb || die
+
+ # Avoid tests failing due to a missing test file.
+ #sed -i -e '/test_invalid_charset/,/end/ s:^:#:' test/test_mo.rb || die
+
+ # Avoid SAFE mode test that fails on ruby 2.6
+ sed -i -e '/test_safe_mode/aomit' test/test_gettext.rb || die
+}
+
+each_ruby_test() {
+ # Upstream tries to daisy-chain rake calls but they fail badly
+ # with our setup, so run it manually.
+ ${RUBY} test/run-test.rb || die "tests failed"
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc -r samples
+}
diff --git a/dev-ruby/ruby-gettext/ruby-gettext-3.3.3.ebuild b/dev-ruby/ruby-gettext/ruby-gettext-3.3.3.ebuild
new file mode 100644
index 000000000000..f1094d10f26b
--- /dev/null
+++ b/dev-ruby/ruby-gettext/ruby-gettext-3.3.3.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_NAME="${PN/ruby-/}"
+RUBY_FAKEGEM_VERSION="${PV%_*}"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="README.md doc/text/news.md"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+
+RUBY_FAKEGEM_EXTRAINSTALL="locale po"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Native Language Support Library and Tools modeled after GNU gettext package"
+HOMEPAGE="https://ruby-gettext.github.io/"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc test"
+SLOT="0"
+LICENSE="|| ( Ruby LGPL-3+ )"
+
+ruby_add_rdepend ">=dev-ruby/locale-2.0.5 >=dev-ruby/text-1.3.0"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )
+ dev-ruby/racc"
+ruby_add_bdepend "test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-rr )"
+
+RDEPEND+=" sys-devel/gettext"
+DEPEND+=" sys-devel/gettext"
+
+all_ruby_prepare() {
+ # Fix broken racc invocation
+ sed -i -e '/command_line/ s/#{racc}/-S racc/' Rakefile || die
+
+ # Avoid bundler dependency
+ sed -i -e '/bundler/,/helper.install/ s:^:#:' \
+ -e 's/helper.gemspec/Gem::Specification.new/' Rakefile || die
+
+ # Avoid dependency on developer-specific tools.
+ sed -i -e '/notify/ s:^:#:' test/run-test.rb || die
+
+ # Avoid tests failing due to a missing test file.
+ #sed -i -e '/test_invalid_charset/,/end/ s:^:#:' test/test_mo.rb || die
+
+ # Avoid SAFE mode test that fails on ruby 2.6
+ sed -i -e '/test_safe_mode/aomit' test/test_gettext.rb || die
+}
+
+each_ruby_test() {
+ # Upstream tries to daisy-chain rake calls but they fail badly
+ # with our setup, so run it manually.
+ ${RUBY} test/run-test.rb || die "tests failed"
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc -r samples
+}
diff --git a/dev-ruby/ruby-gettext/ruby-gettext-3.3.4.ebuild b/dev-ruby/ruby-gettext/ruby-gettext-3.3.4.ebuild
new file mode 100644
index 000000000000..f1094d10f26b
--- /dev/null
+++ b/dev-ruby/ruby-gettext/ruby-gettext-3.3.4.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26"
+
+RUBY_FAKEGEM_NAME="${PN/ruby-/}"
+RUBY_FAKEGEM_VERSION="${PV%_*}"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="README.md doc/text/news.md"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+
+RUBY_FAKEGEM_EXTRAINSTALL="locale po"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Native Language Support Library and Tools modeled after GNU gettext package"
+HOMEPAGE="https://ruby-gettext.github.io/"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc test"
+SLOT="0"
+LICENSE="|| ( Ruby LGPL-3+ )"
+
+ruby_add_rdepend ">=dev-ruby/locale-2.0.5 >=dev-ruby/text-1.3.0"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )
+ dev-ruby/racc"
+ruby_add_bdepend "test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-rr )"
+
+RDEPEND+=" sys-devel/gettext"
+DEPEND+=" sys-devel/gettext"
+
+all_ruby_prepare() {
+ # Fix broken racc invocation
+ sed -i -e '/command_line/ s/#{racc}/-S racc/' Rakefile || die
+
+ # Avoid bundler dependency
+ sed -i -e '/bundler/,/helper.install/ s:^:#:' \
+ -e 's/helper.gemspec/Gem::Specification.new/' Rakefile || die
+
+ # Avoid dependency on developer-specific tools.
+ sed -i -e '/notify/ s:^:#:' test/run-test.rb || die
+
+ # Avoid tests failing due to a missing test file.
+ #sed -i -e '/test_invalid_charset/,/end/ s:^:#:' test/test_mo.rb || die
+
+ # Avoid SAFE mode test that fails on ruby 2.6
+ sed -i -e '/test_safe_mode/aomit' test/test_gettext.rb || die
+}
+
+each_ruby_test() {
+ # Upstream tries to daisy-chain rake calls but they fail badly
+ # with our setup, so run it manually.
+ ${RUBY} test/run-test.rb || die "tests failed"
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc -r samples
+}
diff --git a/dev-ruby/ruby-gettext/ruby-gettext-3.3.5.ebuild b/dev-ruby/ruby-gettext/ruby-gettext-3.3.5.ebuild
new file mode 100644
index 000000000000..7ce7349633f1
--- /dev/null
+++ b/dev-ruby/ruby-gettext/ruby-gettext-3.3.5.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+USE_RUBY="ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_NAME="${PN/ruby-/}"
+RUBY_FAKEGEM_VERSION="${PV%_*}"
+
+RUBY_FAKEGEM_RECIPE_DOC="yard"
+RUBY_FAKEGEM_EXTRADOC="README.md doc/text/news.md"
+
+RUBY_FAKEGEM_TASK_TEST="none"
+
+RUBY_FAKEGEM_EXTRAINSTALL="locale po"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Native Language Support Library and Tools modeled after GNU gettext package"
+HOMEPAGE="https://ruby-gettext.github.io/"
+
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~sparc ~x86"
+IUSE="doc test"
+SLOT="0"
+LICENSE="|| ( Ruby LGPL-3+ )"
+
+ruby_add_rdepend ">=dev-ruby/locale-2.0.5 >=dev-ruby/text-1.3.0"
+
+ruby_add_bdepend "doc? ( dev-ruby/yard )
+ dev-ruby/racc"
+ruby_add_bdepend "test? (
+ dev-ruby/test-unit:2
+ dev-ruby/test-unit-rr )"
+
+RDEPEND+=" sys-devel/gettext"
+DEPEND+=" sys-devel/gettext"
+
+all_ruby_prepare() {
+ # Fix broken racc invocation
+ sed -i -e '/command_line/ s/#{racc}/-S racc/' Rakefile || die
+
+ # Avoid bundler dependency
+ sed -i -e '/bundler/,/helper.install/ s:^:#:' \
+ -e 's/helper.gemspec/Gem::Specification.new/' Rakefile || die
+
+ # Avoid dependency on developer-specific tools.
+ sed -i -e '/notify/ s:^:#:' test/run-test.rb || die
+
+ # Avoid tests failing due to a missing test file.
+ #sed -i -e '/test_invalid_charset/,/end/ s:^:#:' test/test_mo.rb || die
+
+ # Avoid SAFE mode test that fails on ruby 2.6
+ sed -i -e '/test_safe_mode/aomit' test/test_gettext.rb || die
+}
+
+each_ruby_test() {
+ # Upstream tries to daisy-chain rake calls but they fail badly
+ # with our setup, so run it manually.
+ ${RUBY} test/run-test.rb || die "tests failed"
+}
+
+all_ruby_install() {
+ all_fakegem_install
+
+ dodoc -r samples
+}